summarylogtreecommitdiffstats
path: root/.INSTALL
diff options
context:
space:
mode:
authorNano2023-03-08 23:15:56 -0500
committerNano2023-03-08 23:15:56 -0500
commite45f8fdbac658f036169ccdaaf12ad5bfa77d52a (patch)
tree1032daaa1acda1d27f59c45a5dfcabfdb08df2b4 /.INSTALL
downloadaur-dayz-linux-cli-launcher.tar.gz
Initial commit (v0.5.3 from upstream)
Diffstat (limited to '.INSTALL')
-rw-r--r--.INSTALL26
1 files changed, 26 insertions, 0 deletions
diff --git a/.INSTALL b/.INSTALL
new file mode 100644
index 000000000000..0de50ef993bf
--- /dev/null
+++ b/.INSTALL
@@ -0,0 +1,26 @@
+#!/bin/sh
+
+post_install() {
+ set -e
+ echo "
+====================================================================================
+ IMPORTANT: dayz-linux-cli-launcher
+
+ In order to get the game running the vm.max_map_count kernel
+ parameter needs to be increased, because otherwise the game will
+ freeze while loading the main menu or after playing for a couple
+ of minutes. 1024*1024 seems to work reliably.
+ https://github.com/bastimeyer/dayz-linux-cli-launcher#important-notes
+
+ Temporarily set this value by running the command:
+ sudo systemctl -w vm.max_map_count=1048576
+
+ Or permanently apply this change with the command:
+ echo 'vm.max_map_count=1048576' | sudo tee /etc/sysctl.d/vm.max_map_count.conf
+====================================================================================
+"
+}
+
+post_upgrade() {
+ post_install "$@"
+}